-- exec [C6MartPeriodico].[Segnala_Disallineamenti]
CREATE procedure [C6MartPeriodico].[Segnala_Disallineamenti]
as
	set nocount on
	declare @Rete varchar(1)
	declare @CodFis varchar(20)
	declare @descSegnalazione varchar(200)
	--create table C6MartPeriodico.tSegnala_ProdottiNonCensiti_Result (dtTrim varchar(8), rete varchar(1), codiceFiscale varchar(20), TIPPROD varchar(100), CODINT varchar(100), CODPROD varchar(100), SUBPROD varchar(100), MAF varchar(100), CODABI varchar(100), ISIN varchar(100))
	declare @dtTrim varchar(8)
	set @dtTrim = [C6MartPeriodico].[getTrimestre](getdate(),0)
	exec dbo.CreaTabellaBackUp 'tSegnala_Disallineamenti_Result', 'C6MartPeriodico'
	declare @contaLimiter int
	select @contaLimiter = count(*) from [C6StagingPeriodico].[APPO_CONTRATTI_LIMITER]
	truncate table C6MartPeriodico.tSegnala_Disallineamenti_Result
	if @contaLimiter = 0
		begin
			insert into C6MartPeriodico.tSegnala_Disallineamenti_Result (rete, codicefiscale, descrizione)			
				SELECT rete, codiceFiscale, descSegnalazione
				FROM [C6StampeCentralizzate].[C6MartPeriodico].[tb_SegnalazioniDataQuality]
				where idTipoControllo = 9
		end
	else
		begin
			insert into C6MartPeriodico.tSegnala_Disallineamenti_Result (rete, codicefiscale, descrizione)							
				SELECT a.rete, a.codiceFiscale, a.descSegnalazione
				FROM [C6StampeCentralizzate].[C6MartPeriodico].[tb_SegnalazioniDataQuality] a
					inner join [C6StagingPeriodico].[APPO_CONTRATTI_LIMITER] b
					on a.rete = b.rete
					and a.codiceFiscale = b.cod_fiscale
				where a.idTipoControllo = 9
		end
	select * from C6MartPeriodico.tSegnala_Disallineamenti_Result